Create a variable override
- Allows you to override a variable that has a higher scope.
- You have to specify a value (override) in the request body and the scope and the parent id of the variable to override (project id, environment id or service id)
- The system will create a new environment variable at the requested level with the same key as the one corresponding to the variable id passed as path parameter.
- The response body will contain the newly created variable
- Information regarding the overridden_variable will be exposed in the “overridden_variable” or in the “overridden_secret” field of the newly created variable
Documentation Index
Fetch the complete documentation index at: https://qovery-argocd-documentation.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Variable ID
Body
the value to be used as Override of the targeted environment variable.
APPLICATION, BUILT_IN, ENVIRONMENT, PROJECT, CONTAINER, JOB, HELM, TERRAFORM the id of the variable that is aliased.
optional variable description (255 characters maximum)
255Response
Create variable override
APPLICATION, BUILT_IN, ENVIRONMENT, PROJECT, CONTAINER, JOB, HELM, TERRAFORM type of the environment variable (VALUE, FILE, ALIAS, OVERRIDE, BUIT_IN, EXTERNAL_SECRET)
VALUE, ALIAS, OVERRIDE, BUILT_IN, FILE, EXTERNAL_SECRET The id of the service referenced by this variable.
The name of the service referenced by this variable.
type of the service (application, database, job, gateway...)
APPLICATION, CONTAINER, DATABASE, JOB, HELM, TERRAFORM Entity that created/own the variable (i.e: Qovery, Doppler)